#!/usr/bin/env bash

scriptdir=$(dirname $(realpath $0))

set +e

ln -fs "$scriptdir/smw-jobs.sh" /usr/local/bin/smw-jobs
ln -fs "$scriptdir/nginx.conf" /etc/nginx/nginx.conf
ln -fs "$scriptdir/fastcgi.conf" /etc/nginx/fastcgi.conf
ln -fs "$scriptdir/robots.txt" /etc/nginx/robots.txt
ln -fs "$scriptdir/public_mediawiki/public_mediawiki.conf" /etc/nginx/sites-enabled/public_mediawiki.conf
ln -fs "$scriptdir/orga_mediawiki/orga_mediawiki.conf" /etc/nginx/sites-enabled/orga_mediawiki.conf
ln -fs "$scriptdir/pgtune.conf" "/etc/postgresql/15/main/conf.d/pgtune.conf"

for file in "$scriptdir/system"/*; do
	filename=$(basename "$file")
	ln -fs "$file" "/etc/systemd/system/$filename"
done

for file in "$scriptdir/public_mediawiki"/*; do
	filename=$(basename "$file")
	ln -fs "$file" "/etc/public_mediawiki/$filename"
done

for file in "$scriptdir/orga_mediawiki"/*; do
	filename=$(basename "$file")
	ln -fs "$file" "/etc/orga_mediawiki/$filename"
done

