<?php
# This file was automatically generated by the MediaWiki 1.39.10
# installer. If you make manual changes, please keep track in case you
# need to recreate them later.
#
# See docs/Configuration.md for all configurable settings
# and their default values, but don't forget to make changes in _this_
# file, not there.
#
# Further documentation for configuration settings may be found at:
# https://www.mediawiki.org/wiki/Manual:Configuration_settings

# Protect against web entry
if ( !defined( 'MEDIAWIKI' ) ) {
	exit;
}

## Include platform/distribution defaults
#require_once "$IP/includes/PlatformSettings.php";

## Server secrets file
require_once "/etc/public_mediawiki/SecretSettings.php";

## Uncomment this to disable output compression
# $wgDisableOutputCompression = true;

$wgSitename = "Chaostreff Backnang Wiki";
$wgMetaNamespace = "Wiki";

## The URL base path to the directory containing the wiki;
## defaults for all runtime URL paths are based off of this.
## For more information on customizing the URLs
## (like /w/index.php/Page_title to /wiki/Page_title) please see:
## https://www.mediawiki.org/wiki/Manual:Short_URL
$wgScriptPath       = "";
$wgArticlePath      = "/$1";
$wgUsePathInfo      = true;
$wgScriptExtension  = ".php";

## The protocol and server name to use in fully-qualified URLs
$wgServer = "https://wiki.ctbk.de";

## The URL path to static resources (images, scripts, etc.)
$wgResourceBasePath = $wgScriptPath;

## The URL paths to the logo.  Make sure you change this from the default,
## or else you'll overwrite your logo when you upgrade!
$wgLogos = [
	'1x' => "$wgResourceBasePath/resources/assets/logo.svg",
	'icon' => "$wgResourceBasePath/resources/assets/logo.svg",
];
$wgFavicon = "$wgResourceBasePath/resources/assets/favicon.ico";

## UPO means: this is also a user preference option

$wgEnableEmail = true;
$wgEnableUserEmail = true; # UPO

$wgEmergencyContact = "";
$wgPasswordSender = "";

$wgEnotifUserTalk = false; # UPO
$wgEnotifWatchlist = false; # UPO
$wgEmailAuthentication = true;

## Database settings
$wgDBtype = "postgres";
$wgDBserver = "localhost";
$wgDBname = "public_mediawiki";
$wgDBuser = "mediawiki";
# password is in secret settings

# Postgres specific settings
$wgDBport = "5432";
$wgDBmwschema = "mediawiki";

# Shared database table
# This has no effect unless $wgSharedDB is also set.
$wgSharedTables[] = "actor";

## Shared memory settings
$wgMainCacheType = CACHE_ACCEL;
$wgMemCachedServers = [];

## To enable image uploads, make sure the 'images' directory
## is writable, then set this to true:
$wgEnableUploads = true;
$wgAllowCopyUploads = true;
$wgCopyUploadsFromSpecialUpload = true;
$wgUseImageMagick = true;
$wgImageMagickConvertCommand = "/usr/bin/convert";

# InstantCommons allows wiki to use images from https://commons.wikimedia.org
$wgUseInstantCommons = false;

# Periodically send a pingback to https://www.mediawiki.org/ with basic data
# about this MediaWiki instance. The Wikimedia Foundation shares this data
# with MediaWiki developers to help guide future development efforts.
$wgPingback = false;

# Site language code, should be one of the list in ./includes/languages/data/Names.php
$wgLanguageCode = "de";

# Time zone
$wgLocaltimezone = "Europe/Berlin";

## Set $wgCacheDirectory to a writable directory on the web server
## to make your wiki go slightly faster. The directory should not
## be publicly accessible from the web.
$wgCacheDirectory = "/var/cache/public_mediawiki";

# Changing this will log out all existing sessions.
$wgAuthenticationTokenVersion = "1";

## For attaching licensing metadata to pages, and displaying an
## appropriate copyright notice / icon. GNU Free Documentation
## License and Creative Commons licenses are supported so far.
$wgRightsPage = "Wiki:Urheberrechte";
$wgRightsUrl = "https://creativecommons.org/licenses/by/4.0/";
$wgRightsText = "Creative Commons „Namensnennung“";
$wgRightsIcon = "$wgResourceBasePath/resources/assets/licenses/cc-by.png";

# allow nonstandard display titles, which we want to have for a few pages
$wgRestrictDisplayTitle = false;

# Path to the GNU diff3 utility. Used for conflict resolution.
$wgDiff3 = "/usr/bin/diff3";

## Default skin
# For MinervaNeue it’s "minerva"
$wgDefaultSkin = "citizen";
$wgDefaultMobileSkin = 'citizen';

# Enabled skins.
wfLoadSkin( 'MinervaNeue' );
wfLoadSkin( 'Citizen' );
# keep this up-to-date with website theme color
$wgCitizenThemeColor = "#f9c827";

# Enabled extensions. Most of the extensions are enabled by adding
# wfLoadExtension( 'ExtensionName' );
# to LocalSettings.php. Check specific extension documentation for more details.
# The following extensions were automatically enabled:
wfLoadExtension( 'CategoryTree' );
wfLoadExtension( 'CodeEditor' );
wfLoadExtension( 'ImageMap' );
wfLoadExtension( 'Interwiki' );
wfLoadExtension( 'InputBox' );
wfLoadExtension( 'Math' );
wfLoadExtension( 'Nuke' );
wfLoadExtension( 'ParserFunctions' );
wfLoadExtension( 'Poem' );
wfLoadExtension( 'PdfHandler' );
wfLoadExtension( 'ReplaceText' );
wfLoadExtension( 'Renameuser' );
wfLoadExtension( 'SpamBlacklist' );
wfLoadExtension( 'SyntaxHighlight_GeSHi' );
wfLoadExtension( 'TemplateData' );
wfLoadExtension( 'TitleBlacklist' );
wfLoadExtension( 'VisualEditor' );
wfLoadExtension( 'WikiEditor' );

wfLoadExtension( 'PluggableAuth' );
wfLoadExtension( 'OpenIDConnect' );

$wgPFEnableStringFunctions = true;

# SMW config
wfLoadExtension( 'SemanticMediaWiki' );
enableSemantics( 'wiki.ctbk.de' );
$smwgQueryResultCacheType = CACHE_ANYTHING;
$wgGroupPermissions['sysop']['smw-admin'] = true;

# Disable account creation - we only use SSO accounts
$wgGroupPermissions['*']['autocreateaccount'] = true;
$wgGroupPermissions['sysop']['autocreateaccount'] = true;
$wgGroupPermissions['*']['createaccount'] = false;
$wgGroupPermissions['sysop']['createaccount'] = true;

# allow copy uploads by anyone
$wgGroupPermissions['user']['upload_by_url'] = true;

# SSO config
# necessary to allow admin user(s) to login
$wgPluggableAuth_EnableLocalLogin = true;
$wgPluggableAuth_Config["Chaostreff Backnang IdP"] = [
    'plugin' => 'OpenIDConnect',
    'data' => [
        'providerURL' => 'https://idp.ctbk.de/realms/ctbk/',
	'clientID' => 'public_mediawiki',
	'scope' => [ 'openid', 'profile', 'email', 'groups' ],
        'clientsecret' => $ctbkClientSecret
    ],
    # use Keycloak group definitions to manage groups centrally
    'groupsyncs' => [
      [
        'type' => 'mapped',
        'map' => [
          'sysop' => [ 'groups' => '/mediawiki/admins' ],
          'buerocrat' => [ 'groups' => '/mediawiki/admins' ],
          'interface-admin' => [ 'groups' => '/mediawiki/admins' ]
        ]
      ]
    ]
];

# interwiki config
$wgGroupPermissions['sysop']['interwiki'] = true;
$wgInterwikiMagic = true;
$wgHideInterlanguageLinks = false;

# for better error reporting - disable while in production
#error_reporting( -1 );
#ini_set( 'display_errors', 1 );
#$wgShowExceptionDetails = true;
#$wgShowDBErrorBacktrace = true;

# uncomment this if Semantic MediaWiki property locking is broken
#$smwgChangePropagationProtection = false;

# SVG config
$wgFileExtensions[] = 'svg';
# This extension will no longer be needed in MediaWiki >= 1.41, then $wgSVGNativeRendering can be used
wfLoadExtension( 'NativeSvgHandler' );

