#!/usr/bin/env bash

# ignore single script failures
set +e

SMW_PATH=$1

set -x

# not needed in our current config according to the documentation
#php "${SMW_PATH}/maintenance/updateSpecialPages.php" --quiet

# recommended daily jobs
php "${SMW_PATH}/maintenance/rebuildData.php" --shallow-update
php "${SMW_PATH}/maintenance/disposeOutdatedEntities.php"
php "${SMW_PATH}/maintenance/rebuildPropertyStatistics.php"
php "${SMW_PATH}/maintenance/rebuildConceptCache.php" --update --create

# recommended weekly jobs — we still run them daily to simplify the timers
php "${SMW_PATH}/maintenance/rebuildData.php" -d 100
php "${SMW_PATH}/maintenance/setupStore.php" --skip-import

# recommended monthly jobs
php "${SMW_PATH}/maintenance/removeDuplicateEntities.php"

